<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_ec438e08973b3716c60e393f66ef5" . "e7b" => base64_decode("Q2hvb3NlIH" . "RoZSBzb3Vy" . "Y2UgSUMgcH" . "JvamVjdA=="), "pro" . "jec" . "t_i" . "d" => base64_decode("cHJvamVjdF9pZA" . "=="), "_5a318eaa74da0cc2a06b" . "db95289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2U" . "gcHJvamVjdA=="), "_565d7be99acb0b7627" . "e48da068eebbd6" => base64_decode("cmVxd" . "WlyZW" . "Q="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["project_" . "id"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5a318eaa74da0cc2a06bdb95" . "289fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["project" . "_id"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ec438e08973b3716c60e393f" . "66ef5e7b"], $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_565d7be99acb0b7627e48d" . "a068eebbd6"]);
        $this->_formBuilt = true;
    }
}